aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sslh/sslh.initd
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2017-09-21 13:57:19 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2017-09-21 15:23:52 +0000
commitb0ed51b1bcb6f0a500298b08f3480a9587ce89ed (patch)
treea69f85640c0b616c20a2ce38563df56d1b03ba72 /testing/sslh/sslh.initd
parent23278078823bcf134833a70fa94866bece9e17c8 (diff)
downloadaports-b0ed51b1bcb6f0a500298b08f3480a9587ce89ed.tar.bz2
aports-b0ed51b1bcb6f0a500298b08f3480a9587ce89ed.tar.xz
testing/sslh: new aport. Fixes #7860
Diffstat (limited to 'testing/sslh/sslh.initd')
-rw-r--r--testing/sslh/sslh.initd21
1 files changed, 21 insertions, 0 deletions
diff --git a/testing/sslh/sslh.initd b/testing/sslh/sslh.initd
new file mode 100644
index 0000000000..b75e96f2a3
--- /dev/null
+++ b/testing/sslh/sslh.initd
@@ -0,0 +1,21 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start \
+ --pidfile /var/run/${SVCNAME}.pid \
+ --exec /usr/sbin/sslh -- \
+ ${DAEMON_OPTS} \
+ --pidfile /var/run/${SVCNAME}.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --retry 20 \
+ --pidfile /var/run/${SVCNAME}.pid
+ eend $?
+}